Bug 1198718 - gvfs: Invalid argument mounting SMB shares
gvfs: Invalid argument mounting SMB shares
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Gorse
E-mail List
:
Depends on:
Blocks: 1198309
  Show dependency treegraph
 
Reported: 2022-04-21 10:03 UTC by Samuel Cabrero
Modified: 2022-08-15 10:15 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Cabrero 2022-04-21 10:03:08 UTC
Nautilus fails to mount SMB shares with samba 4.16. Upstream bugs:

https://gitlab.gnome.org/GNOME/gvfs/-/issues/611
https://gitlab.gnome.org/GNOME/gvfs/-/issues/619

Upstream patches:

https://gitlab.gnome.org/GNOME/gvfs/-/merge_requests/138
Comment 1 Samuel Cabrero 2022-04-21 10:06:29 UTC
With samba 4.15:

> smb: do_mount - [smb://192.168.1.10/home; 0] res = -1, cancelled = 0, errno = [1] 'Operation not permitted'
> smb: do_mount - enabling NTLMSSP fallback
> smb: do_mount - try #1
> ...
> smb: do_mount - [smb://192.168.1.10/home; 1] res = -1, cancelled = 0, errno = [1] 'Operation not permitted'
> smb: do_mount - try #2                                                                                                                                                                                               > smbc_stat(smb://192.168.1.10/home)
> smb: auth_callback - normal pass
> smb: auth_callback - asking for password...

With samba 4.16:

> smb: do_mount - [smb://192.168.1.10/home; 0] res = -1, cancelled = 0, errno = [13] 'Permission denied'
> smb: do_mount - enabling NTLMSSP fallback
> smb: do_mount - try #1
> ...
> smb: do_mount - [smb://192.168.1.10/home; 1] res = -1, cancelled = 0, errno = [22] 'Invalid argument'
> smb: do_mount - (errno != EPERM && errno != EACCES), cancelled = 0, breaking
> smb: send_reply(0x55a126c7a9a0), failed=1 (Failed to mount Windows share: Invalid argument)
Comment 2 Michael Gorse 2022-04-21 15:36:42 UTC
Thanks for the pointer. Submitting to GNOME:Factory.
Comment 3 OBSbugzilla Bot 2022-04-22 08:40:08 UTC
This is an autogenerated message for OBS integration:
This bug (1198718) was mentioned in
https://build.opensuse.org/request/show/972027 Factory / gvfs
Comment 4 Michael Gorse 2022-04-25 15:10:27 UTC
Should be fixed now.
Comment 5 Johannes Weberhofer 2022-04-25 16:44:14 UTC
Thanks. I can confirm mounting works nicely with today's version of tumbleweed.
Comment 8 Swamp Workflow Management 2022-08-15 10:14:54 UTC
SUSE-RU-2022:2805-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1198718
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    gvfs-1.42.2-150200.6.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    gvfs-1.42.2-150200.6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-08-15 10:15:24 UTC
SUSE-RU-2022:2804-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1198718
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    gvfs-1.48.1-150400.4.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    gvfs-1.48.1-150400.4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.